org.eclipse.jetty.webapp

## Enum FragmentDescriptor.OtherType

- java.lang.Object
- - java.lang.Enum<FragmentDescriptor.OtherType>
  - - org.eclipse.jetty.webapp.FragmentDescriptor.OtherType

All Implemented Interfaces:
  Serializable, Comparable<FragmentDescriptor.OtherType>

Enclosing class:
  FragmentDescriptor

    public static enum FragmentDescriptor.OtherType
    extends Enum<FragmentDescriptor.OtherType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`After`
`Before`
`None`

### Method Summary

Methods
`static FragmentDescriptor.OtherType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FragmentDescriptor.OtherType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final FragmentDescriptor.OtherType None

#### Before

    public static final FragmentDescriptor.OtherType Before

#### After

    public static final FragmentDescriptor.OtherType After

### Method Detail

#### values

    public static FragmentDescriptor.OtherType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FragmentDescriptor.OtherType c : FragmentDescriptor.OtherType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FragmentDescriptor.OtherType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null